## Supprimer les traductions non utilisées au sein des bibliothèques tierces (seulement pour les APK)

### Identifiants

| V1 |
|:--:|
| 29 |

### Catégories

| Cycle de vie  |  Tiers  |  Responsable  |
|:-------------:|:----:|:----:|
| 4. Production | Utilisateur/Terminal | Architecte Logiciel/Développeur |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 3 | 3 | 2 |

| Ressources Economisées |
|:----------------------:|
|        Stockage        |

### Description

Certaines bibliothèques de composant tel que Google Play Service ou Material, inclus automatiquement toutes les traductions des textes standard dans toutes les langues, même si l'application ne supporte que quelques langues. Cela augmente inutilement la taille de l'application.

Remarque : En livrant l'application au format AAB (Android App Bundle), par défaut, seuls les langues configurées sur l'appareil de l'utilisateur sont téléchargées. Cette pratique est donc utile uniquement si l'application est déployée via un APK.

Pour inclure uniquement les fichiers de langues que supporte l'application, il faut le spécifier dans le fichier gradle de l'application. Par exemple, pour inclure uniquement l'anglais et le français :

```kotlin
android {
    defaultConfig {
        ...
        resourceConfigurations.addAll(listOf("en", "fr"))
    }
```


### Exemple


### Principe de validation

| Le nombre ...                                                                 | est inférieur ou égal à   |  
|-------------------------------------------------------------------------------|:-------------------------:|
| de fichiers de ressources contenant des traductions de langues non supportées | 0  |
