## Favoriser les polices standards ou utiliser les "Downloadable font"

### Identifiants

| V1 |
|:--:|
| 30 |

### Catégories

| Cycle de vie |  Tiers  |  Responsable  |
|:---------:|:----:|:----:|
| 3. Réalisation (fabrication / développement) | Réseau | UX/UI Designer |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 4 | 3 | 4 |

|                  Ressources Economisées                   |
|:---------------------------------------------------------:|
|                         Stockage                          |

### Description

Plutôt que d'inclure les fichiers définissant une police d'écriture au sein de l'application, préférer la police standard Roboto, car elle est déjà présente sur l'appareil de l’utilisateur. 
On limite ainsi la taille de l'application.

Cependant si vous avez besoin d'une police particulière pour votre application, vous pouvez :
* Utiliser la fonctionnalité des [Downloadable Font](https://developer.android.com/develop/ui/views/text-and-emoji/downloadable-fonts) accessible dès API 14. même si c'est une Api font (google font, adobe font, etc.). 
* Si vraiment vous devez inclure la font au package de l'application, voici quelques optimisations :
- Préférer une [variable font](https://developer.android.com/jetpack/compose/text/fonts#variable-fonts) si vous avez besoin de plus d'une font d'une police (ex: regular, bold, etc.)
- Optimiser la font en l'allégeant des caractères non nécessaires (exemple: une application disponible uniquement en français n'a besoin que de caractères latins, l'alphabet cyrillique peut donc être supprimé)
- Enfin, limiter leur nombre à deux maximum. Le moins possible étant le mieux  (bonne pratique de design déjà reconnue).


### Exemple

Voici un tableau comparatif de poids des fonts de la police Oswald :

|       | Regular | Regular + bold | Variable | Latin Regular | Latin Regular + Latin Bold | Latin Variable |
|------:|:-------:|:--------------:|:--------:|:-------------:|:--------------------------:|:--------------:|
| Poids | 37.6kb  |     76.9kb     |   66kb   |     16kb      |           32.5kb           |       ?        |


Aller plus loin : 
* [Android Developer Documentation - Work with font](https://developer.android.com/jetpack/compose/text/fonts)

### Principe de validation

| Le nombre ...                                       | est inférieur ou égal à |  
|-----------------------------------------------------|:-----------------------:|
| de polices inclues dans le package de l'application |            1            |
