## Éliminer les fonctionnalités non utilisées

### Identifiants

| V1 |
|:--:|
| 31 |

### Catégories

| Cycle de vie |  Tiers  |  Responsable  |
|:---------:|:----:|:----:|
| 1. Spécification | Utilisateur/Terminal | PO/AMOA |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 5 | 3 | 5 |

|                 Ressources Economisées                  |
|:-------------------------------------------------------:|
|          Processeur / Mémoire vive / Stockage           |

### Description

Éliminer les fonctionnalités non utilisées consiste à :
* Mesurer l'utilisation des fonctionnalités en production.
* Piloter l’usage des fonctionnalités, et à supprimer celles qui ne sont pas assez utilisées ou qui ont perdu de la valeur.

Supprimer des fonctionnalités allège le poids de l’application et sa maintenance.

Comment supprimer une fonctionnalité ?
* la désactiver : sur le principe du feature flipping, empêcher qu'elle soit utilisée avec un flag.
* la désinstaller : supprimer au maximum le code utilisé puis refactorer le code restant.

En fonction du coût environnemental et économique d’une suppression, l'une ou l'autre solution sera retenue.


### Exemple
Une application de type e-commerce utilise deux listes différentes : liste de courses et liste de favoris. Lors de la refonte de l'application, au lieu de rester iso-fonctionnel, l’équipe mesure la pertinence des fonctionnalités. La mesure montre que la liste de favoris est devenue désuète. Elle est donc supprimée ainsi que toutes les données en base.

### Principe de validation

| Le pourcentage ...                                        | est inférieur ou égale à |  
|-----------------------------------------------------------|:------------------------:|
| de fonctionnalités peu utilisées présentent en production |           10%            |
